const globalVars = require('../libs/globalVars')
const led = require('../libs/led')
const common = require('../libs/common')
const lcd = require('../libs/lcd')
const logger = require('perfect-logger');
const https = require('https')

const wrapKey = 'UBAJvtJksjWnJDQh3KUySmPjDUaZOCLO'

module.exports = {

    getStatus: () => {
        var rest_options = {
            host: 'wrapapi.com',
            port: 443,
            path: '/use/karl0ss/statusscreen/capitalXtraReloadedPlaying/0.0.1?wrapAPIKey=' + wrapKey,
            method: 'GET'
        };
        logger.info('capital request')
        var request = https.request(rest_options, function (response) {
            var content = "";

            // Handle data chunks
            response.on('data', function (chunk) {
                content += chunk;
            });

            // Once we're done streaming the response, parse it as json.
            response.on('end', async function () {
                var data = JSON.parse(content);

                let capitalXtraData = {
                    "currentlyPlaying": {
                        "artist": data.data.nowPlaying[0].artist,
                        "song": data.data.nowPlaying[0].song
                    },
                    "lastplayed": data.data.LastPlayed,
                }
                lcd.capitalXtra(capitalXtraData)
            });
        })
        // Report errors
        request.on('error', function (error) {
            console.log(error)
            led.set('green')
            lcd.heatingStatus('Error No Data')
            globalVars.heatingOn = 'error'
        });
        request.end();
    }
}